# Dark Low-Spectrum Chill House Track

Written by Raven Scott 

## Overview
This project contains a dark, low-spectrum chill house track created using the [Strudel](https://strudel.cc/) music programming website. The track is designed in a common house style with a 4/4 beat at 120 BPM, emphasizing deep, moody tones in the C minor scale. It features a sub-heavy bassline, muted drums, brooding chords, and atmospheric effects, all focused in the lower frequency spectrum (20–1000 Hz) for an ominous, subterranean vibe. The song is structured into distinct sections—intro, buildup, main groove, breakdown, and outro—spanning 48 cycles (~96 seconds) with dynamic automation and variations to maintain engagement.

## Track Details
- **Genre**: Chill House / Deep House
- **Key**: C minor
- **Tempo**: 120 BPM (60 cycles per minute)
- **Duration**: ~96 seconds (48 cycles)
- **Mood**: Dark, atmospheric, introspective
- **Frequency Focus**: Low spectrum (20–1000 Hz) with sub-bass, filtered drums, and low-pitched synths
- **Structure**:
  - **Intro** (0:00–0:16, 8 cycles): Sparse, sub-bass and pad with bytebeat FX
  - **Buildup** (0:16–0:32, 8 cycles): Adds drums and bass with filter sweeps
  - **Main Groove** (0:32–1:04, 16 cycles): Full arrangement with sidechained chords
  - **Breakdown** (1:04–1:20, 8 cycles): Minimal, atmospheric with phaser chords
  - **Outro** (1:20–1:36, 8 cycles): Fades out with lingering sub-bass and pad

## Features
- **Drums**: Punchy kick (low-passed at 120 Hz), muted clap with vowel filter ("u"/"o"), and filtered hi-hats (lpf 300 Hz) for a deep, understated groove.
- **Bass**: Dual-layered with a sine sub-bass (octave 1, lpf 100 Hz) and sawtooth bass (octave 2, lpf 250 Hz) for rich low-end presence.
- **Chords**: Cm7-Abmaj7-Fm7-G7 progression using sawtooth synths (octave 3, lpf 500 Hz) with sidechaining and phaser effects.
- **Pad**: Slow-moving sine-based pad (octave 3, lpf 400 Hz) with noise for grit.
- **FX**: Bytebeat texture (`t*(t>>10^t>>6)`) filtered at 350 Hz for eerie ambiance.
- **Dynamics**: Filter sweeps, gain fades, vibrato, and variations (via `every`, `sometimesBy`) create an evolving, club-ready arc.
- **Effects**: Heavy reverb (room 0.3, roomsize 2), delay, distortion, phaser, Leslie, and compression (-30 dB threshold, 10:1 ratio) for depth and polish.

## Technical Details
- **Language**: JavaScript (Strudel/TidalCycles syntax)
- **File**: `the_beginning.js`
- **Dependencies**: Strudel library, TidalCycles dirt-samples pack
- **Sample Pack**: Uses `github:tidalcycles/dirt-samples` for drum samples (`bd`, `cp`, `hh`) and bytebeat.
- **Visualization**: Includes a pianoroll with a dark theme (background `#111111`, active notes `#cc0000`) displaying 8 cycles.
